#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: atomic-primops
version: 0.8
id: atomic-primops-0.8-b37fb481d58a8b7926d99bcad0cb1b8c
key: atomi_GIivgJvnrDJ4SJXGISt8TE
license: BSD3
maintainer: rrnewton@gmail.com
homepage: https://github.com/rrnewton/haskell-lockfree/wiki
synopsis: A safe approach to CAS and other atomic ops in Haskell.
description:
    After GHC 7.4 a new `casMutVar#` primop became available, but it'\''s
    difficult to use safely, because pointer equality is a highly
    unstable property in Haskell.  This library provides a safer method
    based on the concept of "Tickets".
    .
    Also, this library uses the "foreign primop" capability of GHC to
    add access to other variants that may be of
    interest, specifically, compare and swap inside an array.
    .
    Note that as of GHC 7.8, the relevant primops have been included in GHC itself.
    This library is engineered to work pre- and post-GHC-7.8, while exposing the
    same interface.
    .
    Changes in 0.3:
    .
    * Major internal change.  Duplicate the barrier code from the GHC RTS and thus
    enable support for executables that are NOT built with '\''-threaded'\''.
    .
    Changes in 0.4:
    .
    * Further internal changes, duplicate '\''cas'\'' routine well as barriers.
    .
    * Add `fetchAddByteArrayInt`
    .
    * Add an `Unboxed` counter variant that uses movable "ByteArray"s on the GHC heap.
    .
    Changes in 0.5:
    .
    * Remove dependency on bits-atomic unless a flag is turned on.
    .
    Changes in 0.5.0.2:
    .
    * IMPORTANT BUGFIXES - don'\''t use earlier versions.  They have been marked deprecated.
    .
    Changes in 0.6.1
    .
    * This is a good version to use for GHC 7.8.3.  It includes portability and bug fixes
    and adds atomicModifyIORefCAS.
    .
    Changes in 0.7:
    .
    * This release adds support for GHC 7.10 and its expanded library of (now inline) primops.
    .
    Changes in 0.8:
    .
    * Implements additional fetch primops available in GHC 7.10
category: Data
author: Ryan Newton
exposed: True
exposed-modules:
    Data.Atomics Data.Atomics.Internal Data.Atomics.Counter
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/atomic-primops-0.8
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/atomic-primops-0.8
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/atomic-primops-0.8
hs-libraries: HSatomic-primops-0.8-GIivgJvnrDJ4SJXGISt8TE
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    ghc-prim-0.4.0.0-2dabcc93617d9a564f2855dd307d7dfb
    primitive-0.6-e1ece5419e53d3a22add9935372102d4
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/atomic-primops-0.8/html/atomic-primops.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/atomic-primops-0.8/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
